Bug 1739388 - CVE-2019-5059 mingw-SDL2_image: SDL2_image: an exploitable code execution in the XPM image rendering leads to integer overflow [fedora-all]
Summary: CVE-2019-5059 mingw-SDL2_image: SDL2_image: an exploitable code execution in ...
Keywords:
Status: CLOSED NOTABUG
Alias: None
Product: Fedora
Classification: Fedora
Component: mingw-SDL2_image
Version: 30
Hardware: Unspecified
OS: Unspecified
high
high
Target Milestone: ---
Assignee: Kalev Lember
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks: CVE-2019-5059
TreeView+ depends on / blocked
 
Reported: 2019-08-09 08:35 UTC by Marian Rehak
Modified: 2019-12-05 13:35 UTC (History)
4 users (show)

Fixed In Version:
Doc Type: No Doc Update
Doc Text:
Clone Of:
Environment:
Last Closed: 2019-12-05 13:35:31 UTC
Type: ---
Embargoed:


Attachments (Terms of Use)

Description Marian Rehak 2019-08-09 08:35:17 UTC
This is an automatically created tracking bug!  It was created to ensure
that one or more security vulnerabilities are fixed in affected versions
of fedora-all.

For comments that are specific to the vulnerability please use bugs filed
against the "Security Response" product referenced in the "Blocks" field.

For more information see:
http://fedoraproject.org/wiki/Security/TrackingBugs

When submitting as an update, use the fedpkg template provided in the next
comment(s).  This will include the bug IDs of this tracking bug as well as
the relevant top-level CVE bugs.

Please also mention the CVE IDs being fixed in the RPM changelog and the
fedpkg commit message.

NOTE: this issue affects multiple supported versions of Fedora. While only
one tracking bug has been filed, please correct all affected versions at
the same time.  If you need to fix the versions independent of each other,
you may clone this bug as appropriate.

Comment 1 Marian Rehak 2019-08-09 08:35:18 UTC
Use the following template to for the 'fedpkg update' request to submit an
update for this issue as it contains the top-level parent bug(s) as well as
this tracking bug.  This will ensure that all associated bugs get updated
when new packages are pushed to stable.

=====

# bugfix, security, enhancement, newpackage (required)
type=security

# low, medium, high, urgent (required)
severity=high

# testing, stable
request=testing

# Bug numbers: 1234,9876
bugs=1739384,1739388

# Description of your update
notes=Security fix for [PUT CVEs HERE]

# Enable request automation based on the stable/unstable karma thresholds
autokarma=True
stable_karma=3
unstable_karma=-3

# Automatically close bugs when this marked as stable
close_bugs=True

# Suggest that users restart after update
suggest_reboot=False

======

Additionally, you may opt to use the bodhi web interface to submit updates:

https://bodhi.fedoraproject.org/updates/new

Comment 2 customercare 2019-12-02 18:15:17 UTC
got that fixed? If yes, why are the BR still "NEW" ?

Comment 3 Marian Rehak 2019-12-05 13:35:31 UTC
Hello, I am not in charge of closing tracking bugs the Product Security team creates them. For more information on this tracker please ask Kalev Lember, the assignee.


Note You need to log in before you can comment on or make changes to this bug.